%global momorel 1
%global artsver 1.3.2
%global qtver 3.3.3
%global kdever 3.3.2
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: MIDI/Audio Sequencer and Notation Editor
Name: rosegarden
Version: 1.0
Release: %{momorel}m
License: GPL
URL: http://www.rosegardenmusic.com/
Group: Applications/Multimedia
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/rosegarden/%{name}-4-%{version}.tar.bz2 ca63f343e2a6240a0f64d32e362bf436
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt >= %{qtver}, kdelibs >= %{kdever}, jack, ladspa, liblrdf
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, kdemultimedia >= %{kdever}
BuildPreReq: xorg-x11-devel, libart_lgpl-devel, zlib-devel, libpng-devel, libjpeg-devel
BuildPreReq: alsa-lib-devel, jack-devel, ladspa-devel, liblrdf-devel

%description
Rosegarden-4 is a user-friendly MIDI/audio sequencer, notation editor,
and general-purpose music composition and editing application for Unix
and Linux.

%prep
%setup -q -n %{name}-4-%{version}

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/rosegarden.png %{buildroot}%{_datadir}/pixmaps/rosegarden.png

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Qt \
  --add-category KDE \
  %{buildroot}%{_datadir}/applnk/Applications/rosegarden.desktop

# # remove directories of original desktop files
# rm -rf %{buildroot}%{_datadir}/applnk/Applications

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README TODO TRANSLATORS
%{_bindir}/rosegarden
%{_bindir}/rosegardensequencer
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/rosegarden.desktop
%{_datadir}/apps/rosegarden
%{_datadir}/doc/HTML/*/rosegarden
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/apps/*.xpm
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/audio/*.desktop
%{_datadir}/pixmaps/rosegarden.png

%changelog
* Wed Feb 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- initial package
